using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using WordNetParser.Helpers;
using WordNetParser.Objects;

namespace WordNetParser
{
	public partial class MainForm : Form
	{
		public MainForm()
		{
			InitializeComponent();
		}

		private void mGoButton_Click( object sender, EventArgs e )
		{
			if ( !string.IsNullOrEmpty( mWordTextBox.Text ) )
			{
				mResultsTextBox.Clear();
				this.Cursor = Cursors.WaitCursor;
				Dictionary<string, List<Definition>> definitions = DictionaryHelper.GetDefinition( mWordTextBox.Text );
				foreach ( string key in definitions.Keys )
				{
					int i = 1;
					mResultsTextBox.AppendText( key + Environment.NewLine );
					foreach ( Definition def in definitions[ key ] )
					{
						string definitionLine = string.Format( "\t{0}) ({1}) {2}" + Environment.NewLine, i, FileParser.GetSynSetTypeCode( def.PartOfSpeech ), def.DefinitionText );
						mResultsTextBox.AppendText( definitionLine );
						i++;
					}
					mResultsTextBox.AppendText( Environment.NewLine + Environment.NewLine );
				}
				this.Cursor = Cursors.Default;
			}
			else
			{
				MessageBox.Show( this, "Please enter a word." );
			}
		}
	}
}